cURL
curl -i -X DELETE "https://api.box.com/2.0/file_requests/42037322" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.file_requests.delete_file_request_by_id(updated_file_request.id)await client.fileRequests.deleteFileRequestById(updatedFileRequest.id);try await client.fileRequests.deleteFileRequestById(fileRequestId: updatedFileRequest.id)client.getFileRequests().deleteFileRequestById(updatedFileRequest.getId())await client.FileRequests.DeleteFileRequestByIdAsync(fileRequestId: updatedFileRequest.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}ファイルリクエスト
ファイルリクエストを削除
ファイルリクエストを完全に削除します。
DELETE
/
file_requests
/
{file_request_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/file_requests/42037322" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.file_requests.delete_file_request_by_id(updated_file_request.id)await client.fileRequests.deleteFileRequestById(updatedFileRequest.id);try await client.fileRequests.deleteFileRequestById(fileRequestId: updatedFileRequest.id)client.getFileRequests().deleteFileRequestById(updatedFileRequest.getId())await client.FileRequests.DeleteFileRequestByIdAsync(fileRequestId: updatedFileRequest.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
ファイルリクエストを表す一意の識別子。
ファイルリクエストのIDを確認するには、ウェブアプリケーションでファイルリクエストの作成画面にアクセスして、そのURLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/filerequest/123の場合、file_request_idは123です。
レスポンス
ファイルリクエストが正常に削除された場合は、空のレスポンスを返します。
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
